> ## Documentation Index
> Fetch the complete documentation index at: https://docsv2.sportxapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search — Teams

> Team search by query string.



## OpenAPI

````yaml /openapi.json get /cricket/api/v2/search/team
openapi: 3.1.0
info:
  title: SportXAPI Cricket API
  version: 2.0.0
  description: >-
    SportXAPI is a low-latency cricket data API delivering realtime ball-by-ball
    commentary, live scores, detailed match scorecards, tournaments, team/player
    statistics, ICC rankings, and news.
servers:
  - url: https://apiv2.sportxapi.com
    description: Production API (Paid keys)
  - url: https://api.sportxapi.com
    description: Demo & Testing API (Free/Demo tier)
security: []
paths:
  /cricket/api/v2/search/team:
    get:
      tags:
        - Search
      summary: Search — Teams
      description: Team search by query string.
      operationId: search_team
      parameters:
        - name: query
          in: query
          required: false
          description: Free-text query.
          schema:
            type: string
            example: india
      responses:
        '200':
          description: Successful Response (JSON)
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
              example:
                - teamID: '25'
                  teamName: India
                  teamShortName: IND
                  teamImage: >-
                    https://cdn.sportxapi.com/assets/uploads/2025/09/IND.webp?_sxcdn=20260831
                - teamID: '8515'
                  teamName: Rest of India
                  teamShortName: ROI
                  teamImage: >-
                    https://cdn.sportxapi.com/assets/uploads//2023/01/india-4.png?_sxcdn=20260831
        '401':
          description: Unauthorized - Missing or invalid X-API-Key header
          content:
            application/json:
              example:
                error: 'Unauthorized: Missing or invalid API key'
        '429':
          description: Too Many Requests - Rate limit or monthly quota exceeded
          content:
            application/json:
              example:
                error: Quota limit exceeded for current billing cycle
      security: []

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.